Page MenuHomeFreeBSD

www/owncloud: Use .conf suffix for /usr/local/etc/newsyslog.conf.d/
ClosedPublic

Authored by woodsb02 on Sep 9 2018, 7:28 AM.

Details

Summary

www/owncloud: Use .conf suffix for /usr/local/etc/newsyslog.conf.d/

Rename the files installed to /usr/local/etc/newsyslog.conf.d/ to end
with a '.conf' suffix.

Proposed changes to /etc/newsyslog.conf will only include files from the
/usr/local/etc/newsyslog.conf.d/ directory which end with '.conf' and do
not beginning with a '.' character. https://reviews.freebsd.org/D17086

Approved by: sunpoet (maintainer)

Test Plan

poudriere testport -j 12amd64: ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 created this revision.Sep 9 2018, 7:28 AM
woodsb02 abandoned this revision.Sep 10 2018, 4:19 PM

Abandon this change - relocating existing conf files violates POLA.

woodsb02 reclaimed this revision.Nov 10 2018, 10:59 AM

D17086 has now been committed to 13-CURRENT.
Re-opening this review.
New proposal to minimise the possibility that people are caught out unaware of this:

  1. Modify port to install file to newsyslog/*.conf
  2. Add move_newsyslog_conf() to pkg-install to automatically relocate any existing copy that is missing the .conf file
  3. Add note to UPDATING and pkg-message to notify the user of this change (important if provisioning tools such as ansible, puppet, salt, etc are in use).
woodsb02 updated this revision to Diff 50257.Nov 10 2018, 4:49 PM
  • Add pkg-install script to automatically move old newsyslog file to new filename
  • Add entries to UPDATING and pkg-message
This revision was not accepted when it landed; it landed in state Needs Review.Nov 24 2018, 3:44 AM
This revision was automatically updated to reflect the committed changes.